//eeprom.h
extern int checkEEPROM(void);
extern void eepromRead(unsigned short myAddr, unsigned char* bytesToRead,unsigned char numBytes);
extern void eepromWrite(unsigned short myAddr, unsigned char* bytesToWrite,unsigned char numBytes);
extern void initEEPROM();
extern unsigned char isEepromWorking;

//EEPROM Addressing Table

#define EE_SYSCFG0_START	0x00		// System Configuration image Bank 0
#define EE_SYSCFG0_CHKSUM	0xFE		// 2 bytes: System Configuration checksum Bank 0
#define EE_CAL_START			0x100		// Calibration Area
#define EE_CAL_CHKSUM			0x1FE		// 2 bytes: Calibration checksum
#define EE_SYSCFG1_START	0x1000	// System Configuration image Bank 1
#define EE_SYSCFG1_CHKSUM	0x10FE	// 2 bytes: System Configuration checksum Bank 1
#define EE_DIAG_BYTES			0x1FFE	// 2 bytes: test area


