#define RHR 0x00 //RX Holding Register
#define THR 0x00 //TX Holding Register
#define IER 0x01 //Interrupt Enable Register
#define FCR 0x02 //Interrupt Identification Register
#define IIR 0x02 //Interrupt Identification Register
#define LCR 0x03 //Line Control Register
#define MCR 0x04 //Modem Control Register
#define LSR 0x05 //Line Status Register
#define MSR 0x06 //Modem Status Register
#define SPR 0x07 //Scratchpad
#define TCR 0x06 //Transmission Control Register
#define TLR 0x07 //Trigger Level Register
#define TXLVL 0x08 //TX FIFO Level
#define RXLVL 0x09 //RX FIFO Level

#define DLL 0x00//Divisor Latch LSB
#define DLH 0x01//Divisor Latch MSB

void extUARTInit(void);
void extUARTRead(unsigned char myAddr ,unsigned char* bytesToRead,unsigned char numBytes);
void extUARTWrite(unsigned char myAddr ,unsigned char* bytesToWrite,unsigned char numBytes);
unsigned char getINTSrcExtUART(void);
void getBytesFromUART(void);
unsigned char getExtUARTStatus();
