#define SW_VERSION	"1.0.4"
#define HW_VERSION  "V0"
#define PROTOCOL_VER "1.0.0"

//***Uncomment only one (primarily for pin assignments)***
//PROTOTYPE is PIC16 Explorer Board, RELEASE is as on MultiLaser Schematic
//#define PROTOTYPE 1
#define RELEASE 1
#define WATCHDOG //Enable the watchdog config bits, watchdog feeds, etc
//********************************************************

#define USB_PORT		0
#define UART_1			1
#define UART_2		    2
#define UART_3			3
#define UART_4		    4
#define USB_PORT_FINAL  5
#define EXT_UART        6


typedef enum {
	LSR_UNSPECIFIED = 0, 
	LSR_STRADUS,
	LSR_OXXIUS,
	LSR_END_OF_MODELS	  // DO NOT REMOVE!! USED TO specify the last entry
} LASER_MODELS;


extern unsigned char laserAType;
extern unsigned char laserBType;
extern unsigned char laserCType;
extern unsigned char laserDType;
extern unsigned char theChosenOne;



//backEndParser.c
void backEndparser(char myPort,char myOriginPort, char *myBuffer, unsigned char myMsgSize);
void backEndparserOx(char myPort,char myOriginPort, char *myBuffer, unsigned char myMsgSize);
void clearGlobalResponseBuffers(void);
void clearInputBuff(unsigned char myPort);










