//gpio.c

#include "p24FJ256GB106.h"
#include "type.h"

volatile unsigned char pinINT0EventOccurred=FALSE;

void initINT0()
{	
	INTCON2bits.INT0EP=0; //Rising edge detection
	IPC0bits.INT0IP=3; //Interrupt Priority
	IFS0bits.INT0IF=0; //Reset INT0 Interrupt Flag
	IEC0bits.INT0IE=1; //Enable INT0 Interrupt
}

//INT0 ISR
void __attribute__((interrupt, no_auto_psv)) _INT0Interrupt( void )
{
	
	IFS0bits.INT0IF=0; //Reset INT0 Interrupt Flag
	pinINT0EventOccurred=TRUE;
}